summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Luís Henrique2010-05-12 23:31:13 +0200
committer Erik Hanson2010-05-12 23:31:13 +0200
commit6e50b05af99a1b7c7d0e247250fbb733abd30813 (patch)
tree937c67a7988ad26076f8399180d07326706cf30a /libraries
parentaf5ed08b8ae08d81ff613ad2484b73c2905b2b71 (diff)
downloadslackbuilds-6e50b05af99a1b7c7d0e247250fbb733abd30813.tar.gz
libraries/pyqt3: Added to 12.2 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/pyqt3/README17
-rw-r--r--libraries/pyqt3/pyqt3.SlackBuild59
-rw-r--r--libraries/pyqt3/pyqt3.info8
-rw-r--r--libraries/pyqt3/slack-desc19
4 files changed, 103 insertions, 0 deletions
diff --git a/libraries/pyqt3/README b/libraries/pyqt3/README
new file mode 100644
index 0000000000..6732b28cf4
--- /dev/null
+++ b/libraries/pyqt3/README
@@ -0,0 +1,17 @@
+PyQt is the binding of the GUI toolkit Qt.
+
+PyQt is developed by the British firm Riverbank Computing. It is
+available under similar terms as Qt, this means variety of licenses
+including GPL and commercial license. PyQt supports Linux and other
+flavours of Unix, as well as Mac OS X and Microsoft Windows.
+
+NOTE:
+This package will, by default, overwrite some files contained in the
+stock kdebindings package included in Slackware. To the best of our
+knowledge, this is backwards compatible, so there shouldn't be any
+adverse effects from the overwritten files, but we cannot make any
+promises. If you do encounter problems, remove this pyqt3 package
+and reinstall the stock kdebinding package.
+
+This package contains bindings for version 3 of Qt toolkit, and
+requires sip from SlackBuilds.org.
diff --git a/libraries/pyqt3/pyqt3.SlackBuild b/libraries/pyqt3/pyqt3.SlackBuild
new file mode 100644
index 0000000000..0ddd8f5624
--- /dev/null
+++ b/libraries/pyqt3/pyqt3.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Slackware build script for PyQt
+
+# Written by Luís Henrique <lmello.009@gmail.com>
+
+PRGNAM=pyqt3
+VERSION=${VERSION:-3.17.6}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf PyQt-x11-gpl-$VERSION
+tar xvf $CWD/PyQt-x11-gpl-$VERSION.tar.gz
+cd PyQt-x11-gpl-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+echo "yes" | python configure.py
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | \
+ cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog LICENSE NEWS README README.AIX README.SunOS THANKS doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/pyqt3/pyqt3.info b/libraries/pyqt3/pyqt3.info
new file mode 100644
index 0000000000..40652da8ed
--- /dev/null
+++ b/libraries/pyqt3/pyqt3.info
@@ -0,0 +1,8 @@
+PRGNAM="pyqt3"
+VERSION="3.17.6"
+HOMEPAGE="http://www.riverbankcomputing.co.uk/software/pyqt/"
+DOWNLOAD="http://www.riverbankcomputing.co.uk/static/Downloads/PyQt3/PyQt-x11-gpl-3.17.6.tar.gz"
+MD5SUM="89b7c46d6db4a2916fc6ab5a82b0d08a"
+MAINTAINER="Luís Henrique"
+EMAIL="lmello.009@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/libraries/pyqt3/slack-desc b/libraries/pyqt3/slack-desc
new file mode 100644
index 0000000000..34a5cd598e
--- /dev/null
+++ b/libraries/pyqt3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pyqt3: PyQt (Python bindings for Qt)
+pyqt3:
+pyqt3: PyQt is a set of Python bindings for Trolltech's Qt application
+pyqt3: framework and runs on all platforms supported by Qt including
+pyqt3: Windows, MacOS/X and Linux. This package contains bindings for
+pyqt3: Qt v3.
+pyqt3:
+pyqt3: Homepage: http://www.riverbankcomputing.co.uk/software/pyqt/
+pyqt3:
+pyqt3:
+pyqt3: